Subject: Re: bug#17330: files.el cd-absolute overcome false negative from file-executable-p

From: Philip Hodges <[email-masked]>
Date: Sun, 11 May 2014 23:59:12 +0200

> I already changed cd-absolute to use file-accessible-directory-p for
> the next release, and documented that f-a-d-p is preferable to
> file-executable-p for such purposes.
> 
> If you think anything else need changing, please say so.
> Otherwise perhaps this is done.

The new f-a-d-p completely ignores permissions, and it
looks like it is called in all directory check contexts before
changing directory or running a process with it as cwd, so
I don't see any way it can refuse to try to cd to a directory.

As for "anything else": I wonder if it will tell me I cannot
start a process to execute a regular file on my share...

Thanks.